<div
  class="main-div"
  [ngClass]="{
    'backgrounded': element.type !== 'App Frame',
    'framed': element.type === 'App Frame'
  }"
  [ngStyle]="{
    'width.px': element.width.toString(),
    'height.px': element.height.toString(),
    'top.px': element.offsetY.toString(),
    'left.px': element.offsetX.toString()
  }"
>
  <span class="element-type">
    {{element.type}}
  </span>
  <img
    class="gear-icon"
    src="assets/glyph-iconset-master/svg/si-glyph-gear.svg"
    (click)="toggleEdit()"
  >
  <div class="dropdown" *ngIf="editing">
    <app-edit-image-element
      [element]="element"
      (formSubmitted)="editElementFinished()"
      *ngIf="element.type === 'Image'"
    >
    </app-edit-image-element>
    <app-edit-button-element
      [element]="element"
      (formSubmitted)="editElementFinished()"
      *ngIf="element.type === 'Button'"
    >
    </app-edit-button-element>
    <app-edit-app-frame-element
      [element]="element"
      (formSubmitted)="editElementFinished()"
      *ngIf="element.type === 'App Frame'"
    >
    </app-edit-app-frame-element>
    <app-edit-menu-button-element
      [element]="element"
      (formSubmitted)="editElementFinished()"
      *ngIf="element.type === 'Menu Button'"
    >
    </app-edit-menu-button-element>
    <app-edit-input-element
      [element]="element"
      (formSubmitted)="editElementFinished()"
      *ngIf="element.type === 'Input'"
    >
    </app-edit-input-element>
    <app-edit-anchor-element
      [element]="element"
      (formSubmitted)="editElementFinished()"
      *ngIf="element.type === 'Anchor'"
    >
  </app-edit-anchor-element>
  </div>
</div>
